Bug 475356 - RHN JVM upgrade to 1.5.0_17
RHN JVM upgrade to 1.5.0_17
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Network Quality Assurance
us =67140
:
Depends On:
Blocks: 428922
  Show dependency treegraph
 
Reported: 2008-12-08 17:40 EST by Chris Duryee
Modified: 2010-03-26 15:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-26 15:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Duryee 2008-12-08 17:40:32 EST
Description of problem:

RHN jservers currently use 1.5.0_11-b03 of the Sun JVM. Right now, 1.5.0_17-b02 is the current release. This includes a bunch of security fixes and bugfixes.

Please upgrade jservers and scripts to use the latest 1.5.0 version of the JVM. This is not time sensitive, but it would be cool if it was done sooner than later.
Comment 1 Amy Owens 2008-12-09 21:03:50 EST
not sure we want to do this given this note about qa, but I will place this on the backlog... 
----- "Anderson Silva" <ansilva@redhat.com> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Christopher Duryee wrote:
> > Recently, the "www-java" webapps in QA have been going up and down.
> This includes stuff like the store, SSO, etc. From a testing
> perspective, the problem manifests as seeing 500 errors in the
> browser. Occasionally, more unusual behavior would be seen, like SSO
> not working.
> >
> > Here's why:
> >
> > On Dec 5, the JVM in QA was upgraded from 1.5.0_16 to 1.5.0_17 as
> part of normal maintenance. Usually, this is a low-impact upgrade.
> However, it appears that there's a JVM bug in the _17 release that
> makes it eventually segfault. Sometimes it will segfault on startup,
> and sometimes it will segfault after an hour or two.
> >
> > We did some investigation to make sure that this was the issue,
> we're pretty confident that its related to using _17.
> >
> > We're reverting back to the _16 version of the JVM, and we're
> disabling automatic JVM updates. This will fix the issue, and keep us
> from getting bitten again. Note though that we'll have to stay on top
> of JVM updates and bundle them with code releases, since they won't be
> automatic anymore.
> >
>
>
> Beav found the following bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=237748
>

The issue occurred again after manually doing a prelink, so we're just going to back down to _16 and let it be for now.
Comment 2 Grant Gainey 2010-03-26 15:33:28 EDT
We're on 1.6 in prod now

Note You need to log in before you can comment on or make changes to this bug.